package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBSuppliesOrderDetails entity.
 */
public class TBSuppliesOrderDetailsDTO implements Serializable {

    private Long id;

    private Double quantity;

    private Long price;

    private Long tbSuppliesId;

    private Long tbSuppliesOrderId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public Long getTbSuppliesId() {
        return tbSuppliesId;
    }

    public void setTbSuppliesId(Long tBSuppliesId) {
        this.tbSuppliesId = tBSuppliesId;
    }

    public Long getTbSuppliesOrderId() {
        return tbSuppliesOrderId;
    }

    public void setTbSuppliesOrderId(Long tBSuppliesOrderId) {
        this.tbSuppliesOrderId = tBSuppliesOrderId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBSuppliesOrderDetailsDTO tBSuppliesOrderDetailsDTO = (TBSuppliesOrderDetailsDTO) o;
        if (tBSuppliesOrderDetailsDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBSuppliesOrderDetailsDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBSuppliesOrderDetailsDTO{" +
            "id=" + getId() +
            ", quantity=" + getQuantity() +
            ", price=" + getPrice() +
            ", tbSupplies=" + getTbSuppliesId() +
            ", tbSuppliesOrder=" + getTbSuppliesOrderId() +
            "}";
    }
}
